Skip to content

EventsSummaryBucketType

Input

Input to indicate which field(s) to group events by in an eventsSummary query. Any combination of up to three distinct fields may be provided. If multiple fields are provided, the buckets will be sorted by time, then fields.

Input fields

NameTypeDescription
sizeSummaryBucketSize

If provided, group the summary buckets by time buckets of the provided size.

bucketingStrategy DeprecatedBucketingStrategy

How to bucket event summaries. Defaults to ACTIVE.

Deprecated: bucketingStrategy is deprecated on EventsSummaryBucketType. Instead, use the query parameter for bucketingStrategy to specify for both top-level and bucketed results. If this field is provided, it will overwrite the query parameter.

fields[EventsSummaryBucketField!]

If provided, group the summary buckets by the values of the provided fields.

metadata[JSONFieldStringBucket!]

If provided, group the summary buckets by the values of the provided metadata fields.